summaryrefslogtreecommitdiffstats
path: root/network/lurc
diff options
context:
space:
mode:
author Michael Bueker <m.bueker@berlin.de>2010-05-11 22:54:53 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:54:53 +0200
commit2b1574a532681f799fce5b7f92382aefdddf7025 (patch)
tree1f151b1ac58454e7964b8f339e1f494bd7ca45f6 /network/lurc
parent27df163d1010f95db053d478cc221e488e887cad (diff)
downloadslackbuilds-2b1574a532681f799fce5b7f92382aefdddf7025.tar.gz
slackbuilds-2b1574a532681f799fce5b7f92382aefdddf7025.tar.xz
network/lurc: Added to 12.1 repository
Diffstat (limited to 'network/lurc')
-rw-r--r--network/lurc/README3
-rw-r--r--network/lurc/lurc.SlackBuild72
-rw-r--r--network/lurc/lurc.info8
-rw-r--r--network/lurc/slack-desc19
4 files changed, 102 insertions, 0 deletions
diff --git a/network/lurc/README b/network/lurc/README
new file mode 100644
index 0000000000..78d4692800
--- /dev/null
+++ b/network/lurc/README
@@ -0,0 +1,3 @@
+lurc is an IRC client for GTK 1.2 based on the historic XChat 1.0. Its
+main goals are to be light, robust, and accurate in handling IRC traffic.
+lurc is written and maintained by Timothy C. McGrath, aka Hikaru.
diff --git a/network/lurc/lurc.SlackBuild b/network/lurc/lurc.SlackBuild
new file mode 100644
index 0000000000..e8223c2b92
--- /dev/null
+++ b/network/lurc/lurc.SlackBuild
@@ -0,0 +1,72 @@
+#!/bin/sh
+
+# Slackware build script for lurc
+
+# Copyright 2008 Michael Bueker <m.bueker@berlin.de>
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=lurc
+VERSION=0.0.5.2
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ . || exit 1
+
+make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+strip --strip-unneeded $PKG/usr/bin/lurc 2>/dev/null
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS BACKPORTS BUGS COPYING ChangeLog CodingStyle FAQ INSTALL NEWS \
+ OldNEWS README TODO UnfixedBUGS $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/network/lurc/lurc.info b/network/lurc/lurc.info
new file mode 100644
index 0000000000..c377b86c2b
--- /dev/null
+++ b/network/lurc/lurc.info
@@ -0,0 +1,8 @@
+PRGNAM="lurc"
+VERSION="0.0.5.2"
+HOMEPAGE="http://lurc.googlecode.com"
+DOWNLOAD="http://lurc.googlecode.com/files/lurc-0.0.5.2.tar.bz2"
+MD5SUM="4652f61060d7c97692e5585ada92cd89"
+MAINTAINER="Michael Bueker"
+EMAIL="m.bueker@berlin.de"
+APPROVED="rworkman"
diff --git a/network/lurc/slack-desc b/network/lurc/slack-desc
new file mode 100644
index 0000000000..5e50dda384
--- /dev/null
+++ b/network/lurc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+lurc: lurc (a simple and lightweight XWindows IRC client)
+lurc:
+lurc: lurc is an IRC client for GTK 1.2 based on the historic XChat 1.0.
+lurc: Its main goals are to be light, robust, and accurate in handling
+lurc: IRC traffic.
+lurc:
+lurc: lurc is written and maintained by Timothy C. McGrath, aka Hikaru.
+lurc:
+lurc: Homepage: http://lurc.googlecode.com
+lurc:
+lurc: